Skip to content
Prividium

wallet

GET /wallet/personal-rpc-token

GET/wallet/personal-rpc-token

Get the Per-User RPC token for the authenticated user

Responses

POST /wallet/invalidate

POST/wallet/invalidate

Invalidate current RPC token and generate a new one

Responses

POST /wallet/enableDeprecated

POST/wallet/enable

Enable RPC for a specific transaction with calldata and nonce for 1 hour

Request Body

application/json
calldataRequired
string
nonceRequired
integer·min 0·max 9007199254740991
walletAddressRequired
string
contractAddressRequired
string

Responses

POST /wallet/transaction-authorization

POST/wallet/transaction-authorization

Enable RPC for a specific transaction for 1 hour

Request Body

application/json
walletAddressRequired
string
nonceRequired
integer·min 0·max 9007199254740991
toAddressRequired
string
calldata
string
value
string

Responses

GET /wallet-actions/allowance-tx-hash

GET/wallet-actions/allowance-tx-hash

Returns tx hash if it was already registered

Responses

POST /wallet-actions/verify-allowance

POST/wallet-actions/verify-allowance

Checks if the current token can perform a certain transaction

Request Body

application/json
nonceRequired
number
fromRequired
string
toRequired
string
calldataRequired
string
valueRequired
unknown

Responses

POST /wallet-actions/can-check-balance

POST/wallet-actions/can-check-balance

Verifies current given address is the sender in the allowance

Request Body

application/json
addressRequired
string

Responses

POST /wallet-actions/update-transaction-hash

POST/wallet-actions/update-transaction-hash

Update the transaction hash for an allowance (no JWT required)

Request Body

application/json
rawTxRequired
string

Responses